import React from 'react';
import { View } from 'react-native';
import Label from '../../Label';
import styles from './style';
import * as typing from './index.type';
const CalenderHeader = (props) => {
    return (React.createElement(View, { style: [styles.header, props.style.header] }, props.weekData.map((item, index) => {
        const key = index;
        const labelprops = {
            title: item.title,
            style: props.style.label || styles.label,
        };
        return React.createElement(Label, { key: key, label: labelprops });
    })));
};
CalenderHeader.defaultProps = new typing.Props();
export default CalenderHeader;
//# sourceMappingURL=index.js.map