import React from 'react';
import { View, } from 'react-native';
import CalenderHeader from './CalenderHeader';
import CalenderContent from './CalenderContent/index';
import Day from './CalenderContent/Day';
import * as typing from './type';
const Calender = (props) => {
    const { config: { weekData, startDate, endDate, selectedDate, }, style, onDateClick, renderDay, } = props;
    return (React.createElement(View, { style: { flex: 1 } },
        React.createElement(CalenderHeader, { weekData: weekData, style: style.Header }),
        React.createElement(CalenderContent, { style: style.Content, startDate: startDate, endDate: endDate, onDateClick: onDateClick, renderDay: renderDay, selectedDate: selectedDate })));
};
Calender.defaultProps = new typing.Props();
Calender.Day = Day;
export default Calender;
//# sourceMappingURL=index.js.map