import { ViewStyle, TextStyle } from 'react-native';
export interface Data {
    id?: number;
    x?: number;
    value?: number;
}
export interface AxisStyle {
    AxisX?: ViewStyle;
    lineX?: ViewStyle;
    labelX?: TextStyle;
    AxisY?: ViewStyle;
    lineY?: ViewStyle;
    labelY?: TextStyle;
}
export interface RectangularStyle {
    grid?: ViewStyle;
    bar?: ViewStyle;
    barLabel?: TextStyle;
}
export interface Style {
    AxisStyle?: AxisStyle;
    RectangularStyle?: RectangularStyle;
}
export interface BarChartProps {
    data?: Array<Data>;
    style?: Style;
    splitNumber?: number;
    Interval?: number;
}
export declare class BarChartDefaultProps implements BarChartProps {
    data: null;
    style: {};
    Interval: 0;
    splitNumber: 1;
}
