import React from 'react';
import { View, } from 'react-native';
import Picker from './picker';
export class Props {
}
const renderChild = (children) => {
    return children.filter(({ type }) => type === Picker).map((item, index) => {
        const key = index;
        return React.createElement(Picker, Object.assign({}, item.props, { key: key, style: { flex: 1 } }));
    });
};
const Group = (props) => {
    return (React.createElement(View, { style: [props.style, { flexDirection: 'row' }] }, renderChild(props.children)));
};
Group.defaultProps = new Props;
export default Group;
//# sourceMappingURL=group.js.map