/// <reference types="react" />
import { PropsDefine } from '../Overlay';
import React, { Component, ReactNode, ReactElement } from 'react';
import { ViewStyle, ViewProperties } from 'react-native';
export interface PropDefine extends ViewProperties {
    children: ReactNode;
    mask: boolean | ReactElement<any>;
    onChange: (value: any) => void;
    style: ViewStyle;
}
export declare class Props implements PropsDefine {
    mask: boolean;
    onChange: () => void;
    onPress: () => void;
}
export default class Picker extends Component<PropDefine, {}> {
    static defaultProps: Props;
    private containerHeight;
    private paddingVertical;
    private itemHeightList;
    private itemHeight;
    private initCount;
    private scrollPoint;
    private scrollTarget;
    private scrollDraging;
    private scrollMomentum;
    private scrollFinish;
    private scrollFake;
    private scrollTimer;
    private momentumTimer;
    onScroll: ({nativeEvent}: {
        nativeEvent: any;
    }) => void;
    onScrollEnd: () => void;
    onScrollBeginDrag: () => void;
    onScrollEndDrag: () => void;
    onMomentumScrollBegin: () => void;
    onMomentumScrollEnd: () => void;
    onScrollReady: (scroll: any) => void;
    onFakeReady: (scroll: any) => void;
    setScrollTimer: () => void;
    setMomentumTimer: () => void;
    getContainerStyle: () => {};
    getSelectStyle: () => ViewStyle;
    getItemStyle: (style: any) => any[];
    clearScrollTimer: () => void;
    clearMomentumTimer: () => void;
    initContainer: ({nativeEvent}: {
        nativeEvent: any;
    }) => void;
    initItem: ({nativeEvent}: {
        nativeEvent: any;
    }, index: any) => void;
    initReady: () => void;
    renderItems: () => React.ReactNode;
    renderMask: () => React.ReactNode;
    render(): JSX.Element;
}
