import React from 'react';
import { View, } from 'react-native';
export class CheckboxDefaultProps {
    constructor() {
        this.checked = false;
    }
}
const Checkbox = ({ checked, }) => {
    return (React.createElement(View, { style: Style[checked ? 'active' : 'normal'] }, checked && (React.createElement(View, { style: Style.check }))));
};
const Style = {
    normal: {
        width: 16,
        height: 16,
        borderRadius: 8,
        borderWidth: 1,
        borderColor: '#9c9c9c',
    },
    active: {
        width: 16,
        height: 16,
        backgroundColor: '#fc5100',
        borderRadius: 8,
        alignItems: 'center',
        justifyContent: 'center',
    },
    check: {
        width: 9,
        height: 6,
        borderLeftWidth: 1,
        borderBottomWidth: 1,
        borderColor: '#fff',
        transform: [
            { translateY: -2 },
            { rotate: '-44deg' },
        ],
    },
};
export default Checkbox;
//# sourceMappingURL=index.js.map