// why not Object, See Here http://t.cn/RKQqS4n
// !! justifyContent alignItems alignSelf 一定要照这个顺序来!,且前面的不能省略
const FLEX_REGEXP = [
    { key: 'flex', regexp: /\d+/ },
    { key: 'flexDirection', regexp: /(row(?!-)|row-reverse|column(?!-)|column-reverse)/ },
    { key: 'flexWrap', regexp: /(wrap|nowrap)/ },
    { key: 'justifyContent', regexp: /(flex-start|flex-end|center|space-between|space-around)/ },
    { key: 'alignItems', regexp: /(flex-start|flex-end|center|stretch)/ },
    { key: 'alignSelf', regexp: /(auto|flex-start|flex-end|center|stretch)/ },
];
export default function getFlexStr(flexStr) {
    let flexStr$ = flexStr.toString();
    const flex = {};
    for (let i = 0; i < FLEX_REGEXP.length; i += 1) {
        const prop = FLEX_REGEXP[i];
        if (prop.regexp.test(flexStr$)) {
            flexStr$ = flexStr$.replace(prop.regexp, (match) => {
                flex[prop.key] = prop.key === 'flex' ? +match : match;
                return null; // no use but fixed [ts] error
            });
        }
    }
    return flex;
}
//# sourceMappingURL=util.js.map