/// <reference types="react" />
import React, { Component, ReactElement } from 'react';
import { ViewProperties, ImageURISource } from 'react-native';
export interface ImgSize {
    width: number;
    height: number;
}
export interface GalleryProps extends ViewProperties {
    imgs: ImageURISource[];
    onSavePress?: (uri) => void;
    onCancelPress?: () => void;
    saveBtn?: ReactElement<any>;
    cancelBtn?: ReactElement<any>;
}
export declare class GalleryDefaultProps implements GalleryProps {
    imgs: any[];
}
export default class Gallery extends Component<GalleryProps, {}> {
    static defaultProps: GalleryDefaultProps;
    _onSavePress: (uri: any) => void;
    _onCancelPress: () => void;
    renderSavebtn: () => React.ReactElement<any>;
    renderCancelbtn: () => React.ReactElement<any>;
    renderImgs: any;
    render(): JSX.Element;
}
