import React, { Component, } from 'react';
import { Modal, TouchableWithoutFeedback, View, StyleSheet, } from 'react-native';
export class Props {
}
const styles = StyleSheet.create({
    overlay: {
        backgroundColor: 'rgba(0, 0, 0, .3)',
        position: 'absolute',
        top: 0,
        bottom: 0,
        left: 0,
        right: 0,
    },
});
export default class Overlay extends Component {
    constructor() {
        super(...arguments);
        this.NOOP = () => { };
    }
    render() {
        const { children, onPress, style, visible } = this.props;
        return (React.createElement(Modal, { animationType: "fade", onRequestClose: this.NOOP, transparent: true, visible: visible },
            React.createElement(TouchableWithoutFeedback, { onPress: onPress },
                React.createElement(View, { style: [styles.overlay, style] })),
            children));
    }
}
Overlay.defaultProps = new Props();
//# sourceMappingURL=index.js.map