/// <reference types="react" />
import { Component, ReactNode } from 'react';
import { ViewProperties } from 'react-native';
export interface HScrollViewProps extends ViewProperties {
    currentPage: number;
    scrollEnded: (currentPage: number) => void;
    children: ReactNode;
}
export interface HScrollViewStates {
    currentPage: number;
    containerWidth: number;
}
export declare class HScrollViewDefaultProps implements HScrollViewProps {
    currentPage: number;
    scrollEnded: () => void;
    children: any;
}
export declare class HScrollViewDefaultStates implements HScrollViewDefaultStates {
    constructor(currentPage: number, containerWidth: number);
    currentPage: any;
    containerWidth: any;
}
export default class HScrollView extends Component<HScrollViewProps, HScrollViewStates> {
    [x: string]: any;
    static defaultProps: HScrollViewProps;
    constructor(props: any);
    componentWillReceiveProps(nextProps: any): void;
    scrollEnded: (event: any) => void;
    scrollToItem: (itemIndex: any) => void;
    render(): JSX.Element;
}
