/// <reference types="react" />
import { ReactNode } from 'react';
import { ViewProperties } from 'react-native';
export interface HScrollViewProps extends ViewProperties {
    currentPage?: number;
    scrollEnded?: (currentPage: number) => void;
    children?: ReactNode;
}
export declare class HScrollViewDefaultProps implements HScrollViewProps {
    currentPage: number;
    scrollEnded: () => void;
    children: any;
}
export interface HScrollViewState {
    currentPage: number;
    containerWidth: number;
}
export declare class HScrollViewDefaultState implements HScrollViewState {
    currentPage: number;
    containerWidth: number;
    constructor(props: any, width: number);
}
declare const _default: any;
export default _default;
