/// <reference types="react" />
import { ReactNode, SFC } from 'react';
import { ViewStyle, ViewProperties } from 'react-native';
export interface PropDefine extends ViewProperties {
    children?: ReactNode;
    multiple?: boolean;
    selected?: any[];
    onChange?: (value: any, index: number | any[]) => void;
    style?: ViewStyle;
    value?: any;
}
export declare class Props implements PropDefine {
    multiple: boolean;
    onChange: () => void;
}
declare const Select: SFC<PropDefine>;
export default Select;
